<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwasser="xwasser"
           xmlns:bn-uq-g2g="http://xoev.de/schemata/basisnachricht/unqualified/g2g/1_1"
           xmlns:din91379="urn:xoev-de:kosit:xoev:datentyp:din-91379_2022-08"
           targetNamespace="xwasser"
           version="0.2.0"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWasser</nameLang>
            <nameKurz>XWasser</nameKurz>
            <nameTechnisch>xwasser</nameTechnisch>
            <kennung>urn:xoev-de:lgl:standard:xwasser</kennung>
            <beschreibung>XWasser ist ein bundesweit einheitlicher digitaler Datenaustauschstandard zur Trinkwasserhygiene.</beschreibung>
         </standard>
         <versionStandard>
            <version>0.2.0</version>
            <versionXOEVProfil>3.0.2</versionXOEVProfil>
            <versionXOEVHandbuch>3.0.2</versionXOEVHandbuch>
            <versionXGenerator>3.1.1</versionXGenerator>
            <versionModellierungswerkzeug>2024x</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xwasser-basisnachricht.xsd"/>
   <xs:include schemaLocation="xwasser-weiterleitung.xsd"/>
   <xs:import schemaLocation="http://xoev.de/schemata/basisnachricht/unqualified/g2g/1_1/xoev-basisnachricht-unqualified-g2g_1.1.xsd"
              namespace="http://xoev.de/schemata/basisnachricht/unqualified/g2g/1_1"/>
   <xs:import schemaLocation="https://xoev.de/schemata/din/91379/2022-08/din-norm-91379-datatypes.xsd"
              namespace="urn:xoev-de:kosit:xoev:datentyp:din-91379_2022-08"/>
   <xs:element name="weiterleitung.weiterleitung.1010">
      <xs:annotation>
         <xs:appinfo>
            <autor>Grundsätzlich alle Kommunikationteilnehmer im XWasser-Verbund</autor>
            <leser>Grundsätzlich alle Kommunikationteilnehmer im XWasser-Verbund</leser>
            <rechtsgrundlage>TrinkwV</rechtsgrundlage>
            <title>Weiterleitungsnachricht</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht leitet eine nicht (mehr) zuständige Stelle eine Nachricht an die aus ihrer Sicht aktuell zuständige Stelle weiter.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xwasser:Nachricht.G2GType">
               <xs:sequence>
                  <xs:element name="weiterleitendeStelle"
                              maxOccurs="unbounded"
                              type="xwasser:WeiterleitendeStelle">
                     <xs:annotation>
                        <xs:documentation>In diesem Element wird die vollständige Liste der Behörden übermittelt, die im Laufe des Prozesses die fachliche Nachricht weitergeleitet haben. Diese Liste wird gebildet, indem die Behörde, die die Weiterleitungsnachricht erstellt, sich selbst an die (ggf. leere) Liste der weiterleitendeStellen anhängt.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="ausloesendeStelle" type="bn-uq-g2g:BehoerdeType">
                     <xs:annotation>
                        <xs:documentation>In diesem Element werden Informationen zu der den Prozess auslösenden Behörde übermittelt.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="weitergeleiteteNachrichtTyp" type="xwasser:Code.Nachrichtentyp">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement wird der Nachrichtentyp der weitergeleiteten Nachricht übermittelt.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="bemerkungen" minOccurs="0" type="din91379:datatypeC">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement können Bemerkungen zu der weitergeleiteten Nachricht übermittelt werden.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="weitergeleiteteNachricht" type="xs:base64Binary">
                     <xs:annotation>
                        <xs:documentation>In diesem Element wird die unveränderte fachliche Nachricht übermittelt, wie sie von der den Prozess auslösenden Behörde erstellt wurde.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
   <xs:element name="weiterleitung.abgabe.1020">
      <xs:annotation>
         <xs:appinfo>
            <autor>Grundsätzlich alle Kommunikationteilnehmer im XWasser-Verbund</autor>
            <leser>Grundsätzlich alle Kommunikationteilnehmer im XWasser-Verbund</leser>
            <rechtsgrundlage>TrinkwV</rechtsgrundlage>
            <title>Abgabenachricht</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht teilt die weiterleitende Stelle der den Prozess auslösenden Stelle mit, dass sie die fachliche Nachricht an eine aus ihrer Sicht zuständige Stelle weitergeleitet hat. Die Weiterleitung der fachlichen Nachricht erfolgt mit der Nachricht weiterleitung.weiterleitung.1010.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xwasser:Nachricht.G2GType">
               <xs:sequence>
                  <xs:element name="zustaendigeStelle" type="bn-uq-g2g:BehoerdeType">
                     <xs:annotation>
                        <xs:documentation>Hier werden Angaben zu der Behörde übermittelt, an die die fachliche Nachricht weitergeleitet wurde.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="weitergeleiteteNachricht"
                              type="xwasser:Identifikation.NachrichtType">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement wird die den Prozess auslösende fachliche Nachricht identifiziert.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="weitergeleitetesEreignis"
                              minOccurs="0"
                              type="xwasser:Identifikation.Ereignis">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement werden Angaben zur Identifizierung des Geschäftsvorfalls übermittelt, der den Prozess ausgelöst hat. Das Kindelement ist nur dann zu befüllen, wenn die den Prozess auslösende fachliche Nachricht identifizierende Angaben zu dem Geschäftsvorfall enthält.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="bemerkungen" minOccurs="0" type="din91379:datatypeC">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement können Bemerkungen zu der weitergeleiteten Nachricht übermittelt werden.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
   <xs:element name="weiterleitung.nichtzustaendigkeit.1030">
      <xs:annotation>
         <xs:appinfo>
            <autor>Grundsätzlich alle Kommunikationteilnehmer im XInneres-Verbund</autor>
            <leser>Grundsätzlich alle Kommunikationteilnehmer im XInneres-Verbund</leser>
            <rechtsgrundlage>TrinkwV</rechtsgrundlage>
            <title>Nachricht bei ungeklärter Zuständigkeit</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachticht teilt die absendende Stelle der den Prozess auslösenden Stelle mit, dass sie für den Sachverhalt nicht zuständig ist und ihr die aktuell zuständige Stelle nicht bekannt ist. Diese Nachricht ist nur in den Prozessen zu verwenden, in denen die Weiterleitung von Nachrichten zugelassen ist.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xwasser:Nachricht.G2GType">
               <xs:sequence>
                  <xs:element name="weiterleitendeStelle"
                              minOccurs="0"
                              maxOccurs="unbounded"
                              type="xwasser:WeiterleitendeStelle">
                     <xs:annotation>
                        <xs:documentation>In diesem Element werden Informationen zu den Behörden übermittelt, die im Laufe des Prozesses die fachliche Nachricht weitergeleitet haben. Die Behörde, die die Nachricht über die ungeklärte Zuständigkeit an die den Prozess auslösende Behörde erstellt, ist nicht als weiterleitende Stelle zu übermitteln.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="zustaendigkeit.ungeklaert.nachricht"
                              type="xwasser:Identifikation.NachrichtType">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement wird die den Prozess auslösende fachliche Nachricht identifiziert.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="zustaendigkeit.ungeklaert.ereignis"
                              minOccurs="0"
                              type="xwasser:Identifikation.Ereignis">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement werden Angaben zur Identifizierung des Geschäftsvorfalls übermittelt, der den Prozess ausgelöst hat. Das Kindelement ist nur dann zu befüllen, wenn die den Prozess auslösende fachliche Nachricht identifizierende Angaben zu dem Geschäftsvorfall enthält.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
                  <xs:element name="bemerkung" minOccurs="0" type="din91379:datatypeC">
                     <xs:annotation>
                        <xs:documentation>In diesem Kindelement können Bemerkungen zu der weitergeleiteten Nachricht übermittelt werden.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
</xs:schema>
